View Issue Details

IDProjectCategoryView StatusLast Update
0001912Industrial-Craft²nuclear reactor and anything associatedpublic2016-07-03 12:22
ReporterStrontiumAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.9.x 
Summary0001912: radationPotionID config option does not work
DescriptionI am trying to use IC2 and Tough As Nails together. Tough As Nails uses potion ID 24 for its Hypothermia effect, which conflicts with Radiation from IC2. Since Tough As Nails doesn't have configs for its potion IDs, I changed the Radiation potion ID to 29 (which Tough As Nails does not use). However, this appears not to have worked, since Radiation still conflicts with Hypothermia.

I am using MC 1.9.4, with the latest versions of IC2 and Tough as Nails for that version.
Steps To ReproduceInstall IC2 & Tough as Nails
Change radiationPotionID to 29 (or any other value)
TagsNo tags attached.
Minecraft Version1.9.4

Activities

Chocohead

2016-06-26 12:55

developer   ~0004590

Potions don't use IDs anymore so shouldn't conflict, what's it say in the crash report?

Strontium

2016-06-26 21:39

reporter   ~0004591

There is no crash. When I hold an item that causes radiation, it gives me both Hypothermia and Radiation. I figured Radiation uses 24 from the config file, and I figured Hypothermia uses 24 from looking at the Tough as Nails source code on github: https://github.com/Glitchfiend/ToughAsNails/blob/TAN-1.9.4-1.0.0/src/main/java/toughasnails/init/ModPotions.java

Chocohead

2016-06-26 22:26

developer   ~0004592

They pass an ID but never use it, which is a silly thing to do. But it's definitely not registering as 24 anyway, because vanilla uses that now.

IC2 may not fully be registering it's potions properly, I'll have a closer look.

Strontium

2016-06-26 23:28

reporter   ~0004593

Oh, alright. I'm not super familiar with the potion system, sorry. I made an assumption that I should not have made :p

Anyways, thanks.

Chocohead

2016-07-01 20:31

developer   ~0004600

Last edited: 2016-07-01 21:07

View 2 revisions

I think it's fixed, try 2.5.53 (for 1.9.4) or 2.6.5 (for 1.10)

Issue History

Date Modified Username Field Change
2016-06-26 03:14 Strontium New Issue
2016-06-26 12:55 Chocohead Note Added: 0004590
2016-06-26 21:39 Strontium Note Added: 0004591
2016-06-26 22:26 Chocohead Note Added: 0004592
2016-06-26 23:28 Strontium Note Added: 0004593
2016-07-01 20:31 Chocohead Note Added: 0004600
2016-07-01 20:31 Chocohead Assigned To => Chocohead
2016-07-01 20:31 Chocohead Status new => feedback
2016-07-01 21:07 Chocohead Note Edited: 0004600 View Revisions
2016-07-03 12:22 Chocohead Status feedback => resolved
2016-07-03 12:22 Chocohead Fixed in Version => Builds for MC 1.9.x
2016-07-03 12:22 Chocohead Resolution open => fixed